<?php

//error_reporting(0);
//  Configurações do Script  

session_start();

// ==============================  
$_SG['conectaServidor'] = true;    // Abre uma conexão com o servidor MySQL?  
$_SG['abreSessao'] = true;         // Inicia a sessão com um session_start()?     
$_SG['caseSensitive'] = false;     // Usar case-sensitive? Onde 'thiago' é diferente de 'THIAGO'     
$_SG['validaSempre'] = true;       // Deseja validar o usuário e a senha a cada carregamento de página?  
// Evita que, ao mudar os dados do usuário no banco de dado o mesmo contiue logado.    
$_SG['servidor'] = 'localhost';    // Servidor MySQL  
$_SG['usuario'] = 'marke690_appnovo';          // Usuário MySQL
$_SG['senha'] = 'Padr@ao321';                // Senha MySQL  
$_SG['banco'] = 'marke690_appnovo';            // Banco de dados MySQL
$_SG['paginaLogin'] = 'login.php'; // Página de login  
$_SG['tabela'] = 'usuarios_admin';       // Nome da tabela onde os usuários são salvos
// ==============================   
 // ======================================  
 //   ~ Não edite a partir deste ponto ~  
 // ======================================  
   

function validaUsuario($usuario, $senha) {  
global $_SG;    
$cS = ($_SG['caseSensitive']) ? 'BINARY' : '';  
// Usa a função addslashes para escapar as aspas  

$nusuario = addslashes($usuario);  
$nsenha = addslashes($senha);     

// Monta uma consulta SQL (query) para procurar um usuário

    $sqli = new mysqli('localhost', 'marke690_appnovo', 'Padr@ao321', 'marke690_appnovo');
    $sqli->query("SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
    $sql_consult = $sqli->query("SELECT * FROM usuarios_admin WHERE usuario='$usuario' AND senha='$senha' LIMIT 1");
    $resultado = $sql_consult->fetch_assoc();

    if (empty($resultado)) {
// Nenhum registro foi encontrado => o usuário é inválido  
return false;     
} else {  
// O registro foi encontrado => o usuário é valido    
// Definimos dois valores na sessão com os dados do usuário  
setcookie('ID_ADMIN', $resultado['id'], (time() + (8 * 24 * 3600)));
setcookie('NOME_ADMIN', $resultado['nome'], (time() + (8 * 24 * 3600)));

// Verifica a opção se sempre validar o login  
if ($_SG['validaSempre'] == true) {  
// Definimos dois valores na sessão com os dados do login  
setcookie('USER_ADMIN', $usuario, (time() + (8 * 24 * 3600)));
setcookie('SENHA_ADMIN', $senha, (time() + (8 * 24 * 3600)));
}  
return true;  

}  
}
/**  

* Função que protege uma página  
*/ 
function protegePagina() {  
global $_SG;  
if (!isset($_COOKIE['ID_ADMIN']) OR !isset($_COOKIE['NOME_ADMIN'])) {  
// Não há usuário logado, manda pra página de login  
expulsaVisitante();  
} else if (!isset($_COOKIE['ID_ADMIN']) OR !isset($_COOKIE['NOME_ADMIN'])) {  
// Há usuário logado, verifica se precisa validar o login novamente  
if ($_SG['validaSempre'] == true) {  
// Verifica se os dados salvos na sessão batem com os dados do banco de dados  
if (!validaUsuario($_COOKIE['USER_ADMIN'], $_COOKIE['SENHA_ADMIN'])) {  
// Os dados não batem, manda pra tela de login  
expulsaVisitante();  
}  
}  
}  
}
/**  
* Função para expulsar um visitante  
*/ 
/**  
/**  
* Função para expulsar um visitante  
*/ 

function expulsaVisitante() {  
global $_SG;  

 // Remove as variáveis da sessão (caso elas existam)  
unset($_COOKIE['ID_ADMIN'], $_COOKIE['NOME_ADMIN'], $_COOKIE['USER_ADMIN'], $_COOKIE['SENHA_ADMIN']);  
// Manda pra tela de login  
header("Location: ".$_SG['paginaLogin']);  

} 

?>
